Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-47882

Unable to connect MongoDB with MONGODB-CR authentication

    Details

    • Similar Issues:
    • Released As:
      1.21.0

      Description

      It seems build-failure-analyzer-plugin still using old version of mongo-java-driver (i.e. 2.11.2).

      It fail to connect mongodb as it cannot pass the authentication for mongodb version >= 3.0

       

      I am marking this bug as Blocker because there is no workaround to this, hosted mongodb should be password protected for obvious security reasons.

        Attachments

          Issue Links

            Activity

            Hide
            timja Tim Jacomb added a comment - - edited

            Branch here that can be tested out:
            https://github.com/jenkinsci/build-failure-analyzer-plugin/compare/master...timja:upgrade-minimal-changes

            As far as I can tell it works,
            I'm currently working on test failures
            WIP PR:
            https://github.com/jenkinsci/build-failure-analyzer-plugin/pull/89

            Show
            timja Tim Jacomb added a comment - - edited Branch here that can be tested out: https://github.com/jenkinsci/build-failure-analyzer-plugin/compare/master...timja:upgrade-minimal-changes As far as I can tell it works, I'm currently working on test failures WIP PR: https://github.com/jenkinsci/build-failure-analyzer-plugin/pull/89
            Hide
            kchan Kingsley Chan added a comment -

            Thanks Tim.

            Show
            kchan Kingsley Chan added a comment - Thanks Tim.
            Hide
            timja Tim Jacomb added a comment -

            PR has been complete for awhile, it is awaiting review...

            Show
            timja Tim Jacomb added a comment - PR has been complete for awhile, it is awaiting review...
            Hide
            timja Tim Jacomb added a comment -

            In the meantime i have forked it and am publishing hpi's here:
            https://github.com/hmcts/build-failure-analyzer-plugin/releases

            Show
            timja Tim Jacomb added a comment - In the meantime i have forked it and am publishing hpi's here: https://github.com/hmcts/build-failure-analyzer-plugin/releases
            Hide
            therealwaldo Will Freeman added a comment -

            Note; I am able to connect just fine with mongo v3.4.18 and BFA v1.20.0, but after upgrading to BFA v1.21.0 it can no longer connect.

            Rolling back, the connection returns.

            I'm guessing there may be some migration instructions that are required?

             

             
            Show
            therealwaldo Will Freeman added a comment - Note; I am able to connect just fine with mongo v3.4.18 and BFA v1.20.0, but after upgrading to BFA v1.21.0 it can no longer connect. Rolling back, the connection returns. I'm guessing there may be some migration instructions that are required?  

              People

              • Assignee:
                timja Tim Jacomb
                Reporter:
                kchan Kingsley Chan
              • Votes:
                4 Vote for this issue
                Watchers:
                8 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: